Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039293
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-09-14 13:162018-09-25 20:57
Reporterjoniturralde93View Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisionacd8c31a80d0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR18Q2SCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039293: Accounting Transaction Details Query Performance

DescriptionWe reproduced this is Metal-US test environment:

Just load Accounting Transaction Details Window, the query is too slow and timeout is thrown. Attached query (with no filters) and Query plan (explain analyze).

Same query in the database took 661 seconds.
Steps To Reproduce1. Log into an environment with a lot of data.
2. Open Accounting Transaction Details Window.
3. It tooks for too long and you get a timeout.
TagsPerformance
Attached Files file icon QueryMetal [^] (24,335 bytes) 2018-09-14 13:16 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039201 closedjarmendariz Menu may be overlapped by a messageBar if receiving a response from a closed window request 
related to feature request 0039380 closedAugustoMauch Support using both "-columnName" and "columnName desc" in HQL order by clauses 

-  Notes
(0106944)
markmm82 (developer)
2018-09-21 17:26

Before solution:
Cost: 10604152.66 Execution time: 661680.116 ms

After:
Cost: 185.12 Execution time: 18.116 ms

There is a great improvement in the new solution. The cost and the execution time are highly improved.
(0107023)
hgbot (developer)
2018-09-25 16:50

Repository: erp/devel/pi
Changeset: acd8c31a80d01a4e5327f40e6777b28df7c8c345
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Sep 21 11:09:12 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/acd8c31a80d01a4e5327f40e6777b28df7c8c345 [^]

Fixes issue 39293: Improved Performance in Accounting Transaction Details Query

Updated the FACT_ACCT_DATEACCT index to be a multi-column index on DATEACCT and
FACT_ACCT_ID columns, and changed the order by clause of the tab to use it.

---
M src-db/database/model/tables/FACT_ACCT.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0107024)
hgbot (developer)
2018-09-25 16:50

Repository: erp/devel/pi
Changeset: 646304f60e8f2c2e9090e5b8cba2e0660d6e863f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Sep 25 16:47:57 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/646304f60e8f2c2e9090e5b8cba2e0660d6e863f [^]

related to issue 39293 code review changes
modify the hql where clause to correctly apply the
id of the table + DESC order

---
M src-db/database/sourcedata/AD_TAB.xml
---
(0107025)
Sandrahuguet (developer)
2018-09-25 17:07

code review + testing OK
(0107033)
hudsonbot (developer)
2018-09-25 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b69e30e117b8 [^]
Maturity status: Test
(0107034)
hudsonbot (developer)
2018-09-25 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b69e30e117b8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-14 13:16 joniturralde93 New Issue
2018-09-14 13:16 joniturralde93 Assigned To => Triage Finance
2018-09-14 13:16 joniturralde93 File Added: QueryMetal
2018-09-14 13:16 joniturralde93 Modules => Core
2018-09-14 13:16 joniturralde93 Triggers an Emergency Pack => No
2018-09-14 13:18 joniturralde93 Summary Accounting Transaction Query Performance => Accounting Transaction Details Query Performance
2018-09-14 13:18 joniturralde93 Description Updated View Revisions
2018-09-14 13:18 joniturralde93 Steps to Reproduce Updated View Revisions
2018-09-17 09:19 Sandrahuguet Assigned To Triage Finance => markmm82
2018-09-17 13:38 Sandrahuguet Tag Attached: Performance
2018-09-17 16:04 rafaroda Issue Monitored: rafaroda
2018-09-17 16:12 rafaroda Relationship added related to 0039201
2018-09-19 16:32 markmm82 Status new => scheduled
2018-09-21 17:26 markmm82 Note Added: 0106944
2018-09-25 16:50 hgbot Checkin
2018-09-25 16:50 hgbot Note Added: 0107023
2018-09-25 16:50 hgbot Status scheduled => resolved
2018-09-25 16:50 hgbot Resolution open => fixed
2018-09-25 16:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/acd8c31a80d01a4e5327f40e6777b28df7c8c345 [^]
2018-09-25 16:50 hgbot Checkin
2018-09-25 16:50 hgbot Note Added: 0107024
2018-09-25 17:07 Sandrahuguet Review Assigned To => Sandrahuguet
2018-09-25 17:07 Sandrahuguet Note Added: 0107025
2018-09-25 17:07 Sandrahuguet Status resolved => closed
2018-09-25 17:07 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-09-25 20:57 hudsonbot Checkin
2018-09-25 20:57 hudsonbot Note Added: 0107033
2018-09-25 20:57 hudsonbot Checkin
2018-09-25 20:57 hudsonbot Note Added: 0107034
2018-09-28 15:03 Sandrahuguet Relationship added related to 0039380


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker